yi-keymap-vim-0.19.0: Vim keymap for Yi editor

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010
Extensions | OverloadedStrings

Yi.Keymap.Vim.Operator

Description

Implements some operators for the Vim keymap.

# Documentation

data VimOperator Source #

Constructors

VimOperator |

Fields

- operatorName :: !OperatorName
- operatorApplyToRegionE :: Int -> StyledRegion -> EditorM RepeatToken

defOperators :: [VimOperator] Source #

opDelete :: VimOperator Source #

opChange :: VimOperator Source #

opYank :: VimOperator Source #

opFormat :: VimOperator Source #

stringToOperator :: [VimOperator] -> OperatorName -> Maybe VimOperator Source #

mkCharTransformOperator :: OperatorName -> (Char -> Char) -> VimOperator Source #

operatorApplyToTextObjectE :: VimOperator -> Int -> CountedTextObject -> EditorM RepeatToken Source #

lastCharForOperator :: VimOperator -> String Source #